Oracle candles
curl --request GET \
--url https://api.polynode.dev/v1/crypto/candles \
--header 'x-api-key: <api-key>'import requests
url = "https://api.polynode.dev/v1/crypto/candles"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.polynode.dev/v1/crypto/candles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"candles": [
{
"time": 1774665300,
"open": 65954.03,
"high": 65992.01,
"low": 65947.14,
"close": 65949.69
},
{
"time": 1774665600,
"open": 65949.69,
"high": 65987.20,
"low": 65949.69,
"close": 65987.20
}
]
}
Crypto
Oracle Candles
5-minute OHLC candles from PolyNode’s live Chainlink tick archive.
GET
/
v1
/
crypto
/
candles
Oracle candles
Returns 5-minute OHLC candles from PolyNode’s live Chainlink tick archive for a given crypto asset. Approximately 30 candles (~2.5 hours of history) are returned.
These are the same oracle prices used to resolve Polymarket’s short-form crypto markets.
{
"candles": [
{
"time": 1774665300,
"open": 65954.03,
"high": 65992.01,
"low": 65947.14,
"close": 65949.69
},
{
"time": 1774665600,
"open": 65949.69,
"high": 65987.20,
"low": 65949.69,
"close": 65987.20
}
]
}
Cached for about 5 seconds. The
symbol parameter accepts bare asset symbols like BTC and feed names like BTC/USD. Each candle’s time field is a Unix epoch timestamp marking the start of that 5-minute window.Authorizations
Query Parameters
Asset symbol or feed name
Available options:
BTC, ETH, SOL, BNB, XRP, DOGE, HYPE, BTC/USD, ETH/USD, SOL/USD, BNB/USD, XRP/USD, DOGE/USD, HYPE/USD Response
200 - application/json
OHLC candle data
The response is of type object.

